# pointpats.HexagonM

class pointpats.HexagonM(pp, lh)

  Hexagon grid structure for quadrat-based method.

  Parameters:
    pp `PointPattern`

      Point Pattern instance.

    lh float

      Hexagon length (hexagon).

  Attributes:
    pp `PointPattern`

      Point Pattern instance.

    h_length float

      Hexagon length (hexagon).

    mbb array

      Minimum bounding box for the point pattern.

    points array

      x,y coordinates of the point points.

    h_length float

      Hexagon length (hexagon).

    count_row_even integer

      Number of even rows.

    count_row_odd integer

      Number of odd rows.

    count_column integer

      Number of columns.

    num integer

      Number of hexagonal quadrats.

  __init__(pp, lh)

  Methods

  `__init__`(pp, lh) |
  `plot`([title]) | Plot hexagon quadrats as well as the number of points falling in each quadrat.
  `point_location_sta`() | Count the point events in each hexagon cell.

  plot(title='Quadrat Count')

    Plot hexagon quadrats as well as the number of points falling in each quadrat.

    Parameters:
      title: str, optional

        Title of the plot. Default is “Quadrat Count”.

  point_location_sta()

    Count the point events in each hexagon cell.

    Returns:
      dict_id_count dict

        keys: rectangle id, values: number of point events in each hexagon cell.